de.caff.generics.mda

## Class OneDimensionalLongReadAccess.Base

- java.lang.Object
- - de.caff.generics.Countable.Base<TT>
  - - de.caff.generics.Indexable.Base<TT>
    - - de.caff.generics.mda.OneDimensionalReadAccess.Base<java.lang.Long>
      - - de.caff.generics.mda.OneDimensionalLongReadAccess.Base

- All Implemented Interfaces:
    Countable<java.lang.Long>, Indexable<java.lang.Long>, MultiDimensional, MultiDimensionalReadAccess<java.lang.Long>, OneDimensionalLongReadAccess, OneDimensionalReadAccess<java.lang.Long>, Sizeable, java.lang.Iterable<java.lang.Long>
  Direct Known Subclasses:
    OneDimensionalLongArray
  Enclosing interface:
    OneDimensionalLongReadAccess

      public abstract static class OneDimensionalLongReadAccess.Base
      extends OneDimensionalReadAccess.Base<java.lang.Long>
      implements OneDimensionalLongReadAccess

  Abstract base class implementing this interface which provides useful implementations for `Object.equals(Object)`, `Object.hashCode()`, `Object.toString()`.
  See Also:
    `asBase()`

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface de.caff.generics.mda.OneDimensionalLongReadAccess

      `OneDimensionalLongReadAccess.Base`

    - ### Nested classes/interfaces inherited from interface de.caff.generics.Indexable

      `Indexable.IndexableSpliterator<TElem>, Indexable.ListView<T>`

  - ### Field Summary

    - ### Fields inherited from interface de.caff.generics.mda.OneDimensionalLongReadAccess

      `EMPTY`

    - ### Fields inherited from interface de.caff.generics.Indexable

      `EMPTY_INDEXABLE_STRING`

    - ### Fields inherited from interface de.caff.generics.Sizeable

      `NULL`

    - ### Fields inherited from interface de.caff.generics.mda.MultiDimensionalReadAccess

      `EMPTY0, EMPTY1, EMPTY2, EMPTY3, EMPTY4, EMPTY5, EMPTY6, EMPTY7`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Base()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `OneDimensionalLongReadAccess.Base` | `asBase()` Convert this into a base countable.

    - ### Methods inherited from class de.caff.generics.Countable.Base

      `equals, hashCode, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface de.caff.generics.mda.OneDimensionalLongReadAccess

      `get, getValueAt, singleton`

    - ### Methods inherited from interface de.caff.generics.mda.OneDimensionalReadAccess

      `copy, empty, getElement, getNumDimensions, getNumElements, getSize, getSizes, view, visitAll, visitAll`

    - ### Methods inherited from interface de.caff.generics.Indexable

      `addToArray, addToArray, addToCollection, asCollection, asList, binarySearch, checkIndex, combine, compare, downCast, emptyIndexable, equal, findAll, findAllX, findFirst, findFirst, findFirst, findFirstX, findLast, findLast, findLast, findNext, findNext, findNext, findNextX, findPrevious, findPrevious, findPrevious, first, firstMatch, firstMatch, firstMatchX, forEachEntry, forEachEntryFragile, fromArray, fromCollection, fromCollection, fromCountable, fromCountable, fromEnumeration, fromEnumeration, fromIterable, fromIterable, fromIterable, fromIterable, fromIterator, fromList, fromOptional, frozenSpliterator, getMod, gyt, hash, headSet, indexedView, indexes, init, initByIndex, initFragile, intIndexes, isEmpty, isOrdered, isStrictlyOrdered, iterator, iterator, last, listIterator, mapArray, optional, ordered, reverse, rotated, spliterator, subSet, sybSet, tailSet, toString, view, view, viewArray, viewArray, viewAsBooleanIndexable, viewAsByteIndexable, viewAsCharIndexable, viewAsDict, viewAsDoubleIndexable, viewAsFloatIndexable, viewAsIntIndexable, viewAsLongIndexable, viewAsShortIndexable, viewByIndex, viewFragile, viewList, viewList, viewListN, viewListN, viewTuple, viewTuple, viewTuple, viewTuple, viewTuple, viewTuple, viewTuple, viewTuple, withAppendedItem, withCachedHash, withExchangedItemAt, withInsertedItemAt, withPrependedItem, withRemovedItemAt, withSwappedItemsAt`

    - ### Methods inherited from interface de.caff.generics.Countable

      `addAllTo, combined, combined, containsEq, containsRef, downCast, equal, equals, filtered, filteredToIndexable, filterToCountable, firstOrNull, foldLeft, forEachFragile, freeze, frozen, frozen, getAny, groupingBy, groupingBy, hasAll, hasAny, isSorted, isStrictlySorted, lastOrNull, mappingBy, mappingBy, optFirst, optLast, orderedCombination, parellelStream, sorted, stream, toArray, toArray, toList, toString, uniform, viewCollection, viewCollection, viewCollectionN, viewCollectionN`

    - ### Methods inherited from interface java.lang.Iterable

      `forEach`

    - ### Methods inherited from interface de.caff.generics.Sizeable

      `size`

    - ### Methods inherited from interface de.caff.generics.mda.MultiDimensionalReadAccess

      `empty, linearized`

- - ### Constructor Detail

    - #### Base

          public Base()

  - ### Method Detail

    - #### asBase

          @NotNull
          public OneDimensionalLongReadAccess.Base asBase()

      Description copied from interface: `Countable`
      Convert this into a base countable. Base countables have useful default implementation for `Object.equals(Object)`, `Object.hashCode()`, and `Object.toString()`.
      Specified by:
        `asBase` in interface `Countable<java.lang.Long>`
      Specified by:
        `asBase` in interface `Indexable<java.lang.Long>`
      Specified by:
        `asBase` in interface `OneDimensionalLongReadAccess`
      Specified by:
        `asBase` in interface `OneDimensionalReadAccess<java.lang.Long>`
      Overrides:
        `asBase` in class `OneDimensionalReadAccess.Base<java.lang.Long>`
      Returns:
        base indexable